{% extends 'base.html' %}

{% block title %}
Sign Up
{% endblock %}

{% block body %}
<div class="text-center mt-5">
    {% for field, errors in form.errors.items() %}
    {{ ', '.join(errors) }}
    {% endfor %}
    <form style="max-width:480px;margin:auto;" action="{{ url_for('signup.process') }}" method="post">
        {{ form.csrf_token() }}
        <img class="mt-4 mb-4" src="https://getbootstrap.com/docs/5.0/assets/brand/bootstrap-logo.svg"
            alt="Bootstrap Logo" height="72">
        <h1 class="h3 mb-3 font-weight-normal">Registration form</h1>
        {{ form.firstname() }}
        {{ form.surename() }}
        {{ form.email() }}
        {{ form.password() }}
        {{ form.confirm() }}
        <div class="mt-3 d-grid gap-2">
            {{ form.submit() }}
        </div>
    </form>
    <ul class="pagination mt-3 justify-content-center">
        <li class="page-item"><a class="page-link" href="{{ url_for('login.show') }}">to sign in</a></li>
    </ul>
</div>
{% endblock %}

{% block footer %}
<footer>
    <!-- Copyright -->
    <div class="position-absolute bottom-0 start-50 translate-middle-x mb-5">
        © 2022 Copyright
    </div>
    <!-- Copyright -->
</footer>
{% endblock %}